New version of Smart preinstalled on Maestro

  • 1
  • Question
  • Updated 3 months ago
Hello guys,
a simple question ; In case of buying of Maestro (that -of course- would have last release version software) , I have forced to pay anyway for 2.2 version to install on Flex or not?

73 IZ2ODM
Roberto
Photo of IZ2ODM

IZ2ODM

  • 33 Posts
  • 1 Reply Like

Posted 3 months ago

  • 1
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
Short answer: Yes.
Photo of Bill -VA3WTB

Bill -VA3WTB

  • 2653 Posts
  • 596 Reply Likes
Your Masestro should ship with latest software, I don't think you will need to pay for the software. That is for people moving from V1.xxx  an optional upgrade cost.
Photo of IZ2ODM

IZ2ODM

  • 33 Posts
  • 1 Reply Like
Thank for both replies .It seems not so clear.....
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
Do  you have version 2 software on your Flex now? If so you will not have to pay. If not you will have to pay to upgrade the Flex radio to version 2.
.
Photo of IZ2ODM

IZ2ODM

  • 33 Posts
  • 1 Reply Like
At the moment I just have flex 6500 with 1.11.12 ; No Maestro. Should I buy   version 2  or it will be vers.2 on maestro embedded?
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
You will need to purchase the upgrade for your Flex radio. The new Maestro will not upgrade your Flex radio.  
Photo of k3Tim

k3Tim

  • 829 Posts
  • 162 Reply Likes
The radio has the software license. The Maestro does NOT check the s/w license.
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
Your new Maestro will work with either version.
 
Photo of Bill -VA3WTB

Bill -VA3WTB

  • 2653 Posts
  • 596 Reply Likes
The radio and Maestro must be on the same version witch ever version that may be.
The firmware versions must match.
(Edited)
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
Your new Maestro will work with either version.
Photo of Mike - VE3CKO

Mike - VE3CKO, Elmer

  • 343 Posts
  • 128 Reply Likes
The Maestro will work ? I guess that depends on your definition of work. If your connecting to your radio or remotely to someone else's radio, the Maestro version must match the radio you are connecting to.
(Edited)
Photo of Lyndy Brannen

Lyndy Brannen

  • 15 Posts
  • 2 Reply Likes
Yes, to get Version 2 features Version 2 must be on the radio.